<?php
#
# Plugin: https://raw.githubusercontent.com/lorello/nagios-checks/master/check-opcache.php
#
# pnp4nagios templating: Zhivko Todorov <ztodorov@neterra.net>
# pnp version >= 0.6.5
#
#

# perfdata example:
#
#used_memory=156610088 num_cached_scripts=957 num_cached_keys=1032 opcache_hit_rate=99.432448300607

$ds_name[1]="Used Memory";
$opt[1] = " --vertical-label \"Used memory\" --title \"OpCache Used Memory on $hostname / $servicedesc\" ";
$opt[1] .= " --slope-mode ";
$def[1] = rrd::def("var1",$RRDFILE[1],$DS[1],"AVERAGE");
$def[1] .= rrd::area("var1","#6fb7ff","used memory" );
$def[1] .= rrd::line1("var1","#0019ff");
$def[1] .= rrd::gprint("var1",array("LAST","MAX","AVERAGE"),"%7.0lf") ;

$ds_name[2]="Cached Scripts";
$opt[2] = " --vertical-label \"Cached Scripts\" --title \"OpCache Number of Cached Scripts on $hostname / $servicedesc\" ";
$opt[2] .= " --slope-mode ";
$def[2] = rrd::def("var1",$RRDFILE[2],$DS[2],"AVERAGE");
$def[2] .= rrd::area("var1","#993300","cached scripts" );
$def[2] .= rrd::line1("var1","#0019ff");
$def[2] .= rrd::gprint("var1",array("LAST","MAX","AVERAGE"),"%7.0lf") ;

$ds_name[3]="Cached Keys";
$opt[3] = " --vertical-label \"Cached Keys\" --title \"OpCache Number of Cached Keys on $hostname / $servicedesc\" ";
$opt[3] .= " --slope-mode ";
$def[3] = rrd::def("var1",$RRDFILE[3],$DS[3],"AVERAGE");
$def[3] .= rrd::area("var1","#009900","cached keys" );
$def[3] .= rrd::line1("var1","#0019ff");
$def[3] .= rrd::gprint("var1",array("LAST","MAX","AVERAGE"),"%7.0lf") ;

$ds_name[4]="Hit Rate";
$opt[4] = " --vertical-label \"Hit Rate\" --title \"OpCache Hit Rate on $hostname / $servicedesc\" ";
$opt[4] .= " --slope-mode ";
$def[4] = rrd::def("var1",$RRDFILE[4],$DS[4],"AVERAGE");
$def[4] .= rrd::area("var1","#ff0000","hit rate" );
$def[4] .= rrd::line1("var1","#0019ff");
$def[4] .= rrd::gprint("var1",array("LAST","MAX","AVERAGE"),"%7.0lf") ;

$ds_name[5]="Interned Strings Buffer";
$opt[5] = " --vertical-label \"Interned Strings Buffer\" --title \"Interned Strings Buffer on $hostname / $servicedesc\" ";
$opt[5] .= " --slope-mode ";
$def[5] = rrd::def("var1",$RRDFILE[5],$DS[5],"AVERAGE");
$def[5] .= rrd::area("var1","#cc00ff","interned strings buffer" );
$def[5] .= rrd::line1("var1","#0019ff");
$def[5] .= rrd::gprint("var1",array("LAST","MAX","AVERAGE"),"%7.0lf") ;

?>

